summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst32
1 files changed, 32 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..32a35b7
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+
+ configure)
+ # Restart IBus if it is running
+ ibuspid=`ps -C ibus-daemon -o pid=`
+
+ if [ "x$ibuspid" != "x" ]; then
+ ibus restart
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ exit 0
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0